export declare class EclFactFigures {
    el: HTMLElement;
    theme: string;
    styleClass: string;
    columns: number;
    displayIcons: boolean;
    colorMode: string;
    centered: boolean;
    viewAllLinkPath: string;
    viewAllLinkLabel: string;
    iconSize: string;
    fontSize: string;
    getClass(): string;
    componentWillLoad(): void;
    render(): any;
}
